Gets a record
curl --request GET \
--url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records/{recordId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records/{recordId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"fields": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}CatalogRecords
Gets a record
Returns a single record from the data catalog by its identifier. You can find record identifiers in the response of the list records request.
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
records
/
{recordId}
Gets a record
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Catalog identifier. You can find it in the list of all catalogs.
Record identifier. You can find it in the list of records.
Was this page helpful?
⌘I
